package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

//TODO add Customer Search in a future release
public class CustomerSearchRequest extends SessionRequest {

	private static final Logger LOG = Logger.getLogger(CustomerSearchRequest.class);
	String query;
	
	public CustomerSearchRequest(String query) {
		super(LOG);
		this.query=query;
		}

	@Override
	protected Object call() throws Exception {
//		String methodName = "call() ";
//        LOG.trace(methodName + "+");
////        {"SearchCriteriaList":[{"Key":"","Condition":"","Value":""}]}
//        getSession().searchCustomers(query);
//        LOG.trace(methodName + "-");
		LOG.warn("call", "Not Implemented.");
        return null;
		
	}
	

}
